DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# error.h

Contains error messages

## SYNOPSIS

`#include "dip_error.h"`

## FUNCTION

Contains a lot of definitions to do with DIPlib's error mechanism. In particular, this include file contains definitions for a number of error messages. These are all of the type `extern const char *`. A list of the error sorted by category follows below:

Memory allocation

Name | Description
`dip_errorCouldNotAllocateMemory` | No memory could be allocated

Image creation errors

Name | Description
`dip_errorImageIsLocked` | Image is locked
`dip_errorImageNotRaw` | Image is not in the RAW state
`dip_errorImageNotValid` | Image is not in the VALID state
`dip_errorImagesNotUnique` | Image is used as an output image more than once
`dip_errorImageLockInvalidKey` | Cannot unlock. Wrong key

Image type errors

Name | Description
`dip_errorIllegalImageType` | Illegal image type
`dip_errorImageTypeDoesNotExist` | Image type does not exist
`dip_errorImageTypeAlreadyExists` | Adding image type failed. Type already exists
`dip_errorImageTypeNotSupported` | Image type not supported
`dip_errorImageTypeHandlerMissing` | No type handler for image type

Image data type errors

Name | Description
`dip_errorDataTypeNotSupported` | Data type not supported
`dip_errorIllegalDataType` | Illegal data type

Image dimension(ality) errors

Name | Description
`dip_errorIllegalDimensionality` | Illegal dimensionality
`dip_errorDimensionalityNotSupported` | Dimensionality not supported
`dip_errorIllegalDimension` | Illegal dimension